/// <reference types="requirejs" />
/**
 * Checks if the current environment is an AMD environment.
 *
 * @returns {boolean} True if the environment is AMD, false otherwise.
 */
export declare function isAmdEnv(): boolean;
/**
 * Checks if the current environment is a RequireJS environment.
 *
 * @returns {boolean} True if the environment is RequireJS, false otherwise.
 */
export declare function isRequireJsEnv(): boolean;
declare global {
    interface Window {
        define: () => void & {
            amd?: object;
        };
        requirejs?: Require;
        require?: (modules: string[], ready?: () => void, errback?: () => void) => void;
    }
}
