import { BT_ASSET_NAME, BT_MODULE } from "./constants";

export type BtModuleKeys = (typeof BT_MODULE)[keyof typeof BT_MODULE];

export type BtModuleLoadConfig = {
  id: string;
  module: BtModuleKeys;
  amdModule: {
    unminified: string;
    minified: string;
  };
  script: {
    unminified: string;
    minified: string;
  };
};

export const BT_NAMESPACE = "braintree";

export const btModulesLoadConfig: Record<BtModuleKeys, BtModuleLoadConfig> = {
  [BT_MODULE.Client]: {
    id: "client",
    module: BT_MODULE.Client,
    amdModule: {
      unminified: `${BT_NAMESPACE}/${BT_ASSET_NAME[BT_MODULE.Client]}`,
      minified: `${BT_NAMESPACE}/${BT_ASSET_NAME[BT_MODULE.Client]}.min`,
    },
    script: {
      unminified: `${BT_ASSET_NAME[BT_MODULE.Client]}.js`,
      minified: `${BT_ASSET_NAME[BT_MODULE.Client]}.min.js`,
    },
  },
  [BT_MODULE.HostedCardFields]: {
    id: "hcf",
    module: BT_MODULE.HostedCardFields,
    amdModule: {
      unminified: `${BT_NAMESPACE}/${
        BT_ASSET_NAME[BT_MODULE.HostedCardFields]
      }`,
      minified: `${BT_NAMESPACE}/${
        BT_ASSET_NAME[BT_MODULE.HostedCardFields]
      }.min`,
    },
    script: {
      unminified: `${BT_ASSET_NAME[BT_MODULE.HostedCardFields]}.js`,
      minified: `${BT_ASSET_NAME[BT_MODULE.HostedCardFields]}.min.js`,
    },
  },
};
